LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Mailing List Archives
Re: [lammps-users] meam problem in python
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [lammps-users] meam problem in python


From: Giacomo Fiorin <giacomo.fiorin@...24...>
Date: Sat, 12 Aug 2017 14:10:06 -0400

Hi Masoud, it's possible that the library version of LAMMPS (used by Python) and the executable version have been compiled differently.

The safest way is to compile using a machine target that is the same for the executable and the library versions, e.g.

make mpi
make mpi mode=shlib
make install-python

Giacomo

On Sat, Aug 12, 2017 at 1:26 PM, Masoud Rahbar <masoudrahbar09@...24...> wrote:
Hi
I have recently added MEAM package to the lammps and I can run its examples. But when I run lammps from python it does not recognize the meam pair potential whith the error:
    ERROR: Unknown pair style meam (../force.cpp:244)
Can anyone help me please?

Masoud Rahbar Niazi
faculty of materials engineering
Tarbiat Modares University

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
lammps-users mailing list
lammps-users@...6297....sourceforge.net
https://lists.sourceforge.net/lists/listinfo/lammps-users




--
Giacomo Fiorin
Associate Professor of Research, Temple University, Philadelphia, PA
Contractor, National Institutes of Health, Bethesda, MD